
/* The Modal (background) */
.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  padding: 32px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.4);

  @media (max-width: 719px) {
    padding: 16px;
  }

  &.show {
    display: flex;
  }

  table {
    display: table;

    th {
      white-space: nowrap;
      z-index: 1; // for abbr tags in table
    }
    th:hover {
      z-index: 2; // for abbr tags in table
    }
    td {
      // white-space: pre;
    }
    
    tr.ro1:first-child {
      /* create a sticky header for "ro1" tables */
      th {
          position: sticky;
          top: calc(var(--bs-card-spacer-y) - 1rem - 1px + 1px);
          background-color: var(--c-bg);
      }
  
      th:after, th:before {
          content: '';
          position: absolute;
          left: 0;
          width: 100%;
      }
  
      th:after {
          bottom: -1px;
          border-bottom: 1px solid var(--c-border-dark);
      }
  
      th:before {
          top: -1px;
          border-top: 1px solid var(--c-border-dark);
      }
    }
  }
}

/* Modal Content */
.modal-dialog {
  margin: auto;
  border: 1px solid #888;
  flex: 1;
  overflow: hidden;
  height: 100%;
  border-radius: 6px;
}

.modal-header {
  display: flex;
  align-items: center;
  width: 100%;
  padding: 0 var(--bs-card-spacer-x);
  padding-top: var(--bs-card-spacer-y);

  h2 {
    margin: 0 !important;
    padding: 0 !important;
  }

  .button-close {
    margin-left: auto;
  }
}

.modal-content {
  overflow: auto;
  padding: 0 var(--bs-card-spacer-x);
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}